#include<iostream>

using namespace std;

int main() 
{
	int n,m,t;
	cin>>t;
	cin>>n>>m;
	int a[n][m];
	
	if(m!=n)
		cout<<"-1"<<endl;
	else
		for(int i=0;i<n;i++)
		{
			for(int j=0;j<n;j++)
			{
				if(j>=n-1-i)
					a[i][j]=1;	
				else
					a[i][j]=0;		
			}
				
		}
	for(int l=0;l<n;l++)
		cout<<a[][];
	return 0;
}